RENAME(1)

BEZEICHNUNG
rename - Dateien umbenennen

ÜBERSICHT
rename [Optionen] Ausdruck Ersetzung Datei …

BESCHREIBUNG
rename benennt die angegebenen Dateien um, indem das erste Vorkommen von Ausdruck in deren Namen durch Ersetzung ersetzt wird.

OPTIONEN

-s, --symlink
    führt die Umbenennung des Ziels eines symbolischen Links aus.

-v, --verbose
    zeigt welche Dateien umbenannt wurden, falls vorhanden.

-n, --no-act
    nimmt keine Änderungen vor; fügen Sie --verbose hinzu, um zu sehen, was geändert werden würde.

-o, --no-overwrite
    überschreibt bestehende Dateien nicht. Wenn --symlink aktiv ist, werden Symlinks, die auf bestehende Ziele zeigen, nicht überschrieben.

-i, --interactive
    fragt nach, bevor vorhandene Dateien überschrieben werden.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

BEISPIELE
Für die Dateien foo1, …, foo9, foo10, …, foo278 benennen die Befehle

    rename foo foo00 foo?
    rename foo foo0 foo??

in foo001, …, foo009, foo010, …, foo278 um. Der Befehl

    rename .htm .html *.htm

gleicht die Endung Ihrer HTML-Dateien an. Zum Kürzen geben Sie eine leere Zeichenkette an:

    rename '_mit_langem_Namen' '' Datei_mit_langem_Namen.*

entfernt die Teilzeichenkette in den Dateinamen.

WARNUNG
Für die Umbenennung gibt es keine eingebauten Sicherheitsmechanismen außer den Optionen --no-overwrite, --interactive oder --no-act. Sofern der Benutzer über das Recht verfügt, Dateinamen zu ändern, wird die Aktion ohne Rückfrage ausgeführt. Das kann drastische Folgen haben, wenn der Befehl beispielsweise im Verzeichnis /lib mit Administratorrechten ausgeführt wird. Sichern Sie vor dem Aufruf des Befehls Ihre Daten, es sei denn, Sie wissen genau, was Sie tun.

INTERAKTIVER MODUS
Wie die meisten Standardwerkzeuge kann Rename im kanonischen Modus mit einem Terminal-Gerät verwendet werden (kurz TTY), wobei die Zeile vom TTY gepuffert wird und Sie die EINGABETASTE drücken müssen, um die Benutzereingabe zu bestätigen. Wenn Sie Ihr TTY in den Cbreak-Modus versetzen, erfordert Rename nur einen einzigen Tastendruck, um auf die Eingabeaufforderung zu antworten. Um den Cbreak-Modus zu setzen, führen Sie beispielsweise Folgendes aus:

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i from to files

EXIT-STATUS
    0   Alle angeforderten Umbenennungen wurden erfolgreich ausgeführt.
    1   Alle angeforderten Umbenennungen sind gescheitert.
    2   Einige der angeforderten Umbenennungen sind gescheitert.
    4   Es wurde nichts umbenannt.
    64  Es ist ein unvorhergesehener Fehler aufgetreten.

SIEHE AUCH
mv(1)

VERFÜGBARKEIT
Der Befehl rename ist Teil des Pakets util-linux, das von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com>, Dr. Tobias Quathamer <toddy@debian.org> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.